Bug 890417 - Review Request: php-Analog - PHP micro logging package
Summary: Review Request: php-Analog - PHP micro logging package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-26 20:41 UTC by Johan Cwiklinski
Modified: 2013-01-23 22:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-11 23:49:00 UTC
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
phpci.log (17.92 KB, text/plain)
2012-12-30 10:02 UTC, Remi Collet
no flags Details
php-Analog-review.txt (8.66 KB, text/plain)
2012-12-30 10:03 UTC, Remi Collet
no flags Details

Description Johan Cwiklinski 2012-12-26 20:41:57 UTC
Spec URL: http://odysseus.x-tnd.be/fedora/php-Analog/php-Analog.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-Analog/php-Analog-1.0.0.1-1.git876d8a3bb.fc18.src.rpm
Description: MicroPHP logging package based on the idea of using closures for
configurability and extensibility. It functions as a static class,
but you can completely control the writing of log messages through
a closure function (aka anonymous functions).
Fedora Account System Username: trasher

Comment 1 Remi Collet 2012-12-30 10:02:33 UTC
Created attachment 670366 [details]
phpci.log

Comment 2 Remi Collet 2012-12-30 10:03:33 UTC
Created attachment 670367 [details]
php-Analog-review.txt


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 890417

Comment 3 Remi Collet 2012-12-30 10:10:27 UTC
[!]: Requires correct, justified where necessary.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
	php-mongo => php-pecl(mongo)

I will prefer to not require this optional dependency (pull a lot of stuff)
Proposal:
   remove the requires, and add a comment in package description
or create a php-Analog-mongo sub-package (seems a bit ugly for a single file)


[!]: Package complies to the Packaging Guidelines
	I don't understand version, why 1.0.0.1 ?
	If post release, should be 1.0.0-1.gitxxx
	If pre release , should be 1.0.0.1-0.1.gitxxx
	or justify/explain

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

From https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
"Common licenses that require including their texts with all derivative works include ASL 2.0, EPL, BSD and MIT."

So open a upstream request and:
   wait for upstream new release
or add the LICENSE to the package sources

[!]: %check is present and all tests pass.

%check
phpunit tests

[!]: Rpmlint is run on all installed packages.
php-Analog.src: E: specfile-error error: Macro % has illegal name (%define)

	-%global %reldate 20121224
	+%global reldate 20121224

or drop this unused macro.

Comment 4 Johan Cwiklinski 2012-12-30 10:39:41 UTC
I agree with you for the pecl-mongo requirement, I'll drop it and write a line about it. I'll also drop unused reldate macro.

The version... Well, I guess I should not package anything after the few days following Xmas day :D

I've reported license issue upstream:
https://github.com/jbroadway/analog/issues/2

Thank you Remi to take that review :)

Comment 6 Remi Collet 2012-12-30 11:58:51 UTC
* version (1.0.0) => fixed
* requires (mongo) => fixed
* License (upstream request + file) => fixed

- Mongo - Save to MongoDB collection, requires php-pecl(mongo)
  package to be installed)

=> typo, remove trailing )

[!]: %check is present and all tests pass.

%check
phpunit tests

Comment 7 Johan Cwiklinski 2012-12-30 17:47:17 UTC
Ooops, typo fixed and %check added :)

I had an issue running tests, fix that has been included in specfile has been submitted upstream:
https://github.com/jbroadway/analog/issues/3

Here the new version:
Spec URL: http://odysseus.x-tnd.be/fedora/php-Analog/php-Analog.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-Analog/php-Analog-1.0.0-2.git876d8a3bb.fc18.src.rpm

Comment 8 Remi Collet 2012-12-30 17:56:57 UTC
* typo => fixed
* %check => fixed

All seems fine, no blocker.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4827045


=== APPROVED ===

Comment 9 Johan Cwiklinski 2012-12-30 18:22:15 UTC
Thank you for the review :)

Comment 10 Johan Cwiklinski 2012-12-30 18:23:34 UTC
New Package SCM Request
=======================
Package Name: php-Analog
Short Description: PHP micro logging package
Owners: trasher
Branches: f17 f18 el6
InitialCC:

Comment 11 Kevin Fenzi 2012-12-30 20:57:00 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2012-12-31 06:31:00 UTC
php-Analog-1.0.0-2.git876d8a3bb.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-Analog-1.0.0-2.git876d8a3bb.fc17

Comment 13 Fedora Update System 2012-12-31 06:31:14 UTC
php-Analog-1.0.0-2.git876d8a3bb.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-Analog-1.0.0-2.git876d8a3bb.fc18

Comment 14 Fedora Update System 2012-12-31 06:31:25 UTC
php-Analog-1.0.0-2.git876d8a3bb.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Analog-1.0.0-2.git876d8a3bb.el6

Comment 15 Fedora Update System 2012-12-31 22:34:39 UTC
php-Analog-1.0.0-2.git876d8a3bb.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2013-01-11 23:49:03 UTC
php-Analog-1.0.0-2.git876d8a3bb.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Fedora Update System 2013-01-12 15:20:09 UTC
php-Analog-1.0.0-2.git876d8a3bb.fc17 has been pushed to the Fedora 17 stable repository.

Comment 18 Fedora Update System 2013-01-23 22:04:47 UTC
php-Analog-1.0.0-2.git876d8a3bb.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.